【活用ガイド】

JVNDB-2016-007678

Simple Machines Forum の LogInOut.php における PHP オブジェクトインジェクション攻撃を実行される脆弱性

概要

Simple Machines Forum (SMF) の LogInOut.php には、PHP オブジェクトインジェクション攻撃を実行され、任意の PHP コードを実行される脆弱性が存在します。
CVSS による深刻度 (CVSS とは?)

基本値: 6.8 (警告) [NVD値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 中
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): 部分的
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): 部分的

[参考] CVSS v3 による深刻度
基本値: 8.8 (重要) [NVD値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃に必要な特権レベル: 不要
  • 利用者の関与: 要
  • 影響の想定範囲: 変更なし
  • 機密性への影響(C): 高
  • 完全性への影響(I): 高
  • 可用性への影響(A): 高
影響を受けるシステム


Simple Machines
  • Simple Machines Forum 2.1

想定される影響

リモートの攻撃者により、foreach ループのユーザ入力から生じる変数に関する処理を介して、PHP オブジェクトインジェクション攻撃を実行され、任意の PHP コードを実行される可能性があります。
対策

ベンダより正式な対策が公開されています。ベンダ情報を参照して適切な対策を実施してください。
ベンダ情報

Simple Machines
CWEによる脆弱性タイプ一覧  CWEとは?

  1. コード・インジェクション(CWE-94) [NVD評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2016-5727
参考情報

  1. National Vulnerability Database (NVD) : CVE-2016-5727
  2. 関連文書 : Simple Machines Forums - PHP Object Injection
更新履歴

[2017年03月09日]
  掲載